Name:           spice-vdagent
Version:        0.18.0
Release:        4
Summary:        Agent for Spice guests
License:        GPLv3+
URL:            https://spice-space.org/
Source0:        https://spice-space.org/download/releases/%{name}-%{version}.tar.bz2
BuildRequires:  systemd-devel glib2-devel spice-protocol libpciaccess-devel libXrandr-devel dbus-devel
BuildRequires:  libXfixes-devel systemd desktop-file-utils libtool libXinerama-devel alsa-lib-devel

%{?systemd_requires}

%description
%{name} is an optional component for enhancing user experience and performing guest-oriented management tasks. 
Its features includes: client mouse mode (no need to grab mouse by client, no mouse lag), automatic adjustment 
of screen resolution, copy and paste (text and image) between client and domU. It also requires vdagent service 
installed on domU o.s. to work. The default is 0.
  
%package_help

%prep
%autosetup -n %{name}-%{version}

%build
%configure --with-session-info=systemd --with-init-script=systemd
%make_build  V=2

%install
make install DESTDIR=$RPM_BUILD_ROOT V=2

%post
%systemd_post spice-vdagentd.service spice-vdagentd.socket

%preun
%systemd_preun spice-vdagentd.service spice-vdagentd.socket

%postun
%systemd_postun_with_restart spice-vdagentd.service spice-vdagentd.socket

%files
%defattr(-,root,root)
%license  COPYING 
%{_bindir}/spice-vdagent
%{_sbindir}/spice-vdagentd
%{_prefix}/lib/systemd/system/spice-vdagentd.service
%{_prefix}/lib/systemd/system/spice-vdagentd.socket
%{_prefix}/lib/tmpfiles.d/spice-vdagentd.conf
%{_prefix}/lib/udev/rules.d/70-spice-vdagentd.rules
%{_datadir}/gdm/autostart/LoginWindow/spice-vdagent.desktop
%{_datadir}/gdm/greeter/autostart/spice-vdagent.desktop
%{_sysconfdir}/xdg/autostart/spice-vdagent.desktop
%dir %{_var}/run/spice-vdagentd

%files help
%defattr(-,root,root)
%doc ChangeLog README TODO
%{_mandir}/man1/*.1.gz

%changelog
* Fri Oct 25 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.18.0-4
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license file

* Sat Oct 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.18.0-3
- Package init

